<a class="button" routerLink="/people">Back to People</a>

<div *ngIf="person" class="row">
  <div class="flex-30">
    <h1>Person: {{person.name}}</h1>
    <div class="basic-table">
      <div class="basic-table-body">
        <div class="row">
          <div class="flex-30">Name:</div>
          <div class="flex">{{person.name}}</div>
        </div>
        <div class="row">
          <div class="flex-30">Gender:</div>
          <div class="flex">{{person.gender}}</div>
        </div>
        <div class="row">
          <div class="flex-30">Birth Year:</div>
          <div class="flex">{{person.birth_year}}</div>
        </div>
        <div class="row">
          <div class="flex-30">Mass:</div>
          <div class="flex">{{person.mass}} kg</div>
        </div>
        <div class="row">
          <div class="flex-30">Height:</div>
          <div class="flex">{{person.height}} cm</div>
        </div>
      </div>
    </div>
  </div>

  <div class="flex-30 thePlanet">
    <app-planet [planet]="person.planet"></app-planet>
  </div>

  <div class="flex-30 samePlanet">
    <h1>Planet {{person.planet.name}} other people</h1>
    <div class="basic-table">
      <div class="basic-table-body">
        <div class="row" *ngFor="let samePlanetPerson of person.peopleFromSamePlanet">
          <a class="showDetails"
             (click)="onclick(samePlanetPerson.id)">{{samePlanetPerson.name}}</a>
        </div>
      </div>
    </div>
  </div>
</div>


